import * as Cesium from "cesium";

export default class FeatureGroundPrimitive extends Cesium.GroundPrimitive {

  properties = new Cesium.PropertyBag()
  constructor(options, properties) {
    super(options);
    if(properties && properties instanceof Object) {
      for (const key in properties) {
        if (Object.prototype.hasOwnProperty.call(properties, key)) {
          this.properties.addProperty(key, properties[key]);
        }
      }
    }
  }
}